## gdk-pixbuf-xlib 2.40.2

=== debian/changelog ===
gdk-pixbuf-xlib (2.40.2-2build4) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:57 +0100

gdk-pixbuf-xlib (2.40.2-2build3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:53 +0200

gdk-pixbuf-xlib (2.40.2-2build2) hirsute; urgency=medium

  * Rebuild against hirsute proposed pocket

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Dec 2020 13:22:19 +0100

gdk-pixbuf-xlib (2.40.2-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Dec 2020 13:22:41 +0000

gdk-pixbuf-xlib (2.40.2-1) experimental; urgency=medium

  * Team upload
  * Branch gdk-pixbuf packaging for gdk-pixbuf-xlib
  * Take over libgdk-pixbuf-xlib-2.0-0, libgdk-pixbuf-xlib-2.0-dev binary
    packages from src:gdk-pixbuf.
    Upstream source releases of gdk-pixbuf 2.41+ have removed this
    deprecated library, but we need to keep it available in Debian as long
    as we have packages that depend on it (19 source packages mention the
    pkg-config module gdk-pixbuf-xlib-2.0 and/or the header
    <gdk-pixbuf-xlib/gdk-pixbuf-xlib.h>, according to codesearch.debian.net).
  * Take over libgdk-pixbuf2.0-0, libgdk-pixbuf2.0-dev transitional binary
    packages from src:gdk-pixbuf.
    This means they will "naturally" disappear from the distribution when
    this source package is no longer needed and can be removed, without
    requiring changes to src:gdk-pixbuf.

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 13:23:35 +0000

gdk-pixbuf (2.40.0+dfsg-6) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * Split main library away from Xlib integration library (see #974870).
    The Xlib integration library has been removed upstream in 2.41.x,
    and moved to a separate, deprecated source repository.
    To facilitate a transition to separate source packages, split the binary
    packages built by this source package, in the same style as the split
    that was done in Pango 1.32.5-2:
    - libgdk-pixbuf2.0-0:
      + libgdk_pixbuf-2.0.so.0 -> libgdk-pixbuf-2.0-0
      + libgdk_pixbuf_xlib-2.0.so.0 -> libgdk-pixbuf-xlib-2.0-0
    - libgdk-pixbuf2.0-dev:
      + gdk-pixbuf-2.0.pc, <gdk-pixbuf/gdk-pixbuf.h>
        -> libgdk-pixbuf-2.0-dev
      + deprecated <gdk-pixbuf/gdk-pixdata.h> -> libgdk-pixbuf-2.0-dev
      + gdk-pixbuf-xlib-2.0.pc, <gdk-pixbuf-xlib/gdk-pixbuf-xlib.h>
        -> libgdk-pixbuf-xlib-2.0-dev
    with transitional packages to help with the upgrade path.
    The -bin, -common and -doc packages remain as they were.
  * Packages that only require gdk-pixbuf-2.0.pc and
    <gdk-pixbuf/gdk-pixbuf.h> should now build-depend on
    libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev.
  * Packages that require gdk-pixbuf-xlib-2.0.pc and
    <gdk-pixbuf-xlib/gdk-pixbuf-xlib.h> should now build-depend on
    libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev.
  * The above change incidentally also drops the libX11 dependency
    from the main library (Closes: #824502)
  * d/rules: Trim trailing whitespace
  * d/control.in: Use secure URI in Homepage field
  * d/upstream/metadata: Add
  * d/rules, d/p/tests-Mark-pixbuf-randomly-modified-as-flaky.patch:
    Don't run pixbuf-randomly-modified test at build time.
    This is basically a crude fuzzer. It isn't really suitable for
    build-time acceptance testing, since it frequently produces images for
    which gdk-pixbuf will try to allocate more memory than is available,
    but if it does, it isn't straightforward to capture the failing image
    from an autobuilder that only records build logs. (Closes: #942124)
  * Mark pixbuf-randomly-modified test as flaky when run as autopkgtest too

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Nov 2020 11:13:22 +0000

gdk-pixbuf (2.40.0+dfsg-5) unstable; urgency=medium

  * rules: Don't mangle PNGs in gdk-pixbuf-tests (for Ubuntu)

 -- Iain Lane <laney@debian.org>  Mon, 01 Jun 2020 17:05:16 +0100

gdk-pixbuf (2.40.0+dfsg-4) unstable; urgency=medium

  * Do not rebuild the documentation when it's not necessary
  * debian/control.in: Bump Standards-Version to 4.5.0
  * Ship the installed tests and run them in the dep8 tests

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Apr 2020 14:34:38 +0200

gdk-pixbuf (2.40.0+dfsg-3) unstable; urgency=medium

  * debian/rules: Make the tests non-fatal on kfreebsd-amd64

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 18:35:39 +0100

gdk-pixbuf (2.40.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * d/tests/build: Mark as superficial
  * d/tests/build: Make autopkgtest cross-test-friendly.
    Use an appropriate cross-compiler and cross-pkg-config when using
    proposed autopkgtest cross-testing support.
    Thanks to Steve Langasek. (Closes: #946374)
  * d/tests/build: Fail on references to unset variables
  * d/tests/build: Fix shellcheck warnings
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2019 16:33:27 +0000

gdk-pixbuf (2.40.0+dfsg-1) unstable; urgency=medium

  * New upstream release

  [ Simon McVittie ]
  * Re-import upstream source code with non-free test data excluded
  * d/gbp.conf: Disable automatic merging of upstream VCS tags.
    This doesn't work well with +dfsg versions.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2019 17:38:01 +0200

gdk-pixbuf (2.39.2-3) experimental; urgency=medium

  * debian/rules:
    - use dh_missing --fail-missing

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 21:40:38 +0200

gdk-pixbuf (2.39.2-2) experimental; urgency=medium

  * Really remove debian/compat from the upload...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:09:49 +0200

gdk-pixbuf (2.39.2-1) experimental; urgency=medium

  * New upstream release
    - Render GIF frames on demand

