=== debian/tests/control ===
Tests: build-xlib
Restrictions: superficial
Depends: build-essential, libgdk-pixbuf-xlib-2.0-dev, pkg-config, xauth, xvfb
